devel/kwayland - The NetBSD Packages Collection

Qt-style Client and Server library wrapper for the Wayland libraries

KWayland provides two libraries:

- KWayland::Client
- KWayland::Server

As the names suggest they implement a Client respectively a Server API for the Wayland
protocol. The API is Qt-styled removing the needs to interact with a for a Qt developer
uncomfortable low-level C-API. For example the callback mechanism from the Wayland API
is replaced by signals; data types are adjusted to be what a Qt developer expects, e.g.
two arguments of int are represented by a QPoint or a QSize.

Build dependencies

devel/extra-cmake-modules devel/extra-cmake-modules devel/plasma-wayland-protocols pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/cmake devel/cmake devel/pkgconf

Runtime dependencies

x11/qt5-qtbase x11/qt5-qtwayland x11/qt5-qtbase x11/qt5-qtwayland

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64kwayland-5.70.0nb2.tgz
NetBSD 9.0aarch64kwayland-5.70.0nb1.tgz
NetBSD 9.0aarch64kwayland-5.70.0nb2.tgz
NetBSD 9.0earmkwayland-5.70.0nb2.tgz
NetBSD 9.0earmv6hfkwayland-5.70.0nb2.tgz
NetBSD 9.0earmv6hfkwayland-5.70.0nb1.tgz
NetBSD 9.0earmv6hfkwayland-5.70.0nb2.tgz
NetBSD 9.0earmv6hfkwayland-5.70.0nb2.tgz
NetBSD 9.0earmv7hfkwayland-5.70.0nb2.tgz
NetBSD 9.0earmv7hfkwayland-5.70.0nb1.tgz
NetBSD 9.0earmv7hfkwayland-5.70.0nb2.tgz
NetBSD 9.0earmv7hfkwayland-5.70.0nb2.tgz
NetBSD 9.0i386kwayland-5.70.0nb1.tgz
NetBSD 9.0i386kwayland-5.70.0nb2.tgz
NetBSD 9.0i386kwayland-5.70.0nb2.tgz
NetBSD 9.0x86_64kwayland-5.70.0nb2.tgz
NetBSD 9.0x86_64kwayland-5.70.0nb2.tgz
NetBSD 9.0x86_64kwayland-5.70.0nb2.tgz
NetBSD 9.0x86_64kwayland-5.70.0nb2.tgz
NetBSD 9.0x86_64kwayland-5.70.0nb1.tgz
NetBSD 9.0x86_64kwayland-5.70.0nb2.tgz
NetBSD 9.0x86_64kwayland-5.70.0nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.